using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Linq;
using System.Windows.Forms;
using DevExpress.XtraEditors;

namespace LFP_Manager.Forms
{
    public delegate void UpdateEvent(object aConfig);

    public partial class fmxCommConfig : DevExpress.XtraEditors.XtraForm
    {
        public event UpdateEvent OnUpdate = null;

        public fmxCommConfig()
        {
            InitializeComponent();

            ucCommConfig1.OnClose += FormClose;
        }

        private void FormClose(object Config)
        {
            if (OnUpdate != null)
            {
                OnUpdate(Config);
            }

            Close();
        }
    }
}